#
# Conditional build:
%bcond_with	tests		# unit tests [not present when repackaging .gem file]
# test needs rspec-core, however rspec-core depends on rspec-mocks
# runtime part of rspec-mocks does not depend on rspec-core

%define	pkgname	rspec-mocks
Summary:	Rspec-2 doubles (mocks and stubs)
Summary(pl.UTF-8):	Pary Rspec-2 (atrapy i zaślepki)
Name:		ruby-%{pkgname}
Version:	3.7.0
Release:	2
License:	MIT
Group:		Development/Languages
Source0:	http://rubygems.org/gems/%{pkgname}-%{version}.gem
# Source0-md5:	b4b2393b550a520f6fa2c713b74a6f43
URL:		http://github.com/rspec/rspec-mocks
BuildRequires:	rpm-rubyprov
BuildRequires:	rpmbuild(macros) >= 1.656
BuildRequires:	ruby >= 1:1.8.7
%if %{with tests}
BuildRequires:	ruby-minitest >= 5.2
BuildRequires:	ruby-rspec-support >= 3.7.0
%endif
# .gemspec contains: s.add_dependency(%q<diff-lcs>.freeze, ["< 2.0", ">= 1.2.0"])
# but only "rubygems(diff-lcs) < 2.0" is detected, "rubygems(diff-lcs) >= 1.2.0" not...
Requires:	ruby-diff-lcs >= 1.2.0
Requires:	ruby-diff-lcs < 2.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
rspec-mocks provides a test-double framework for rspec including
support for method stubs, fakes, and message expectations.

%description -l pl.UTF-8
rspec-mocks dostarcza szkielet pary testowej dla szkieletu rspec,
obejmujący obsługę zaślepek metod, atrapy oraz oczekiwania
komunikatów.

%prep
%setup -q -n %{pkgname}-%{version}

%build
# write .gemspec
%__gem_helper spec

%if %{with tests}
ruby -rubygems -Ilib/ -S rspec spec/
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{ruby_vendorlibdir},%{ruby_specdir}}
cp -a lib/* $RPM_BUILD_ROOT%{ruby_vendorlibdir}
cp -p %{pkgname}-%{version}.gemspec $RPM_BUILD_ROOT%{ruby_specdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.md Changelog.md LICENSE.md
%{ruby_vendorlibdir}/rspec/mocks.rb
%{ruby_vendorlibdir}/rspec/mocks
%{ruby_specdir}/%{pkgname}-%{version}.gemspec
%changelog
* Sat Mar 21 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ruby-rspec-mocks.git;a=log;h=master

* Sat Mar 21 2020 Jan Rękorajski <baggins@pld-linux.org> 618896a
- release 2 (by relup.sh)

* Sat Jun 16 2018 Jakub Bogusz <qboosh@pld-linux.org> 3d340af
- disable tests (not present in .gem), updated some dependencies

* Sat Jun 09 2018 Jan Rękorajski <baggins@pld-linux.org> 9cc9506
- up to 3.7.0

* Mon Jun 05 2017 Jakub Bogusz <qboosh@pld-linux.org> 68e0290
- updated to 2.14.6 (last 2.x release)

* Mon Aug 31 2015 Elan Ruusamäe <glen@delfi.ee> 999d9e9
- rebuild without versioned ruby abi dep
- release 4 (by relup.sh)

* Mon Dec 08 2014 Elan Ruusamäe <glen@delfi.ee> bb56552
- release 3 (by relup.sh)

* Mon Dec 08 2014 Elan Ruusamäe <glen@delfi.ee> c41e028
- rebuild with gemspec provides

* Sat Aug 23 2014 Jakub Bogusz <qboosh@pld-linux.org> 5178e03
- pl, cleanup

* Tue Jul 22 2014 Elan Ruusamäe <glen@delfi.ee> 34071c9
- ruby 2.0 rebuild
- release 2 (by relup.sh)

* Thu Apr 25 2013 Elan Ruusamäe <glen@delfi.ee> a770823
- run tests by default

* Thu Apr 25 2013 Elan Ruusamäe <glen@delfi.ee> 9d0ff8d
- rel 1

* Sun Apr 14 2013 Elan Ruusamäe <glen@delfi.ee> 84c02c9
- new, version 2.13.1

